Migration
All operations require authentication.
List migration servicesProduction
Returns the migration services, with their status.
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Datetime when migration was enabled
Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.
Asynchronous operations ongoing on the VMware Cloud Director migration service
IAM resource metadata
Unique identifier of the VMware Cloud Director migration service
Reflects the readiness of the VMware Cloud Director migration service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGConfiguration you requested. While a change is still being applied it differs from currentState.
Datetime when migration service is modified
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ vmwareCloudDirector/ migration \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "azName": "ca-east-bhs-a", "ips": [ "192.0.2.0/24" ], "migrationCloudUrl": "string", "organizationId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "ips": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a migration serviceProduction
Returns the migration service: migration cloud URL, organization ID and the IP blocks allowed to pair an on-premises site.
Path parameters
Migration ID
Response
Datetime when migration was enabled
Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.
Asynchronous operations ongoing on the VMware Cloud Director migration service
IAM resource metadata
Unique identifier of the VMware Cloud Director migration service
Reflects the readiness of the VMware Cloud Director migration service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGConfiguration you requested. While a change is still being applied it differs from currentState.
Datetime when migration service is modified
Example uses migrationId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ vmwareCloudDirector/ migration/ {migrationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "azName": "ca-east-bhs-a", "ips": [ "192.0.2.0/24" ], "migrationCloudUrl": "string", "organizationId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "ips": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a migration serviceProduction
Replaces the IP blocks allowed to pair an on-premises site with the migration service. An IP block left out of the list is removed. Accepted only when the service is READY, then applied asynchronously: currentState catches up with targetSpec.
Path parameters
Migration ID
Request body (required)
New target specification for the VCDA migration allowed ips list
Response
Datetime when migration was enabled
Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.
Asynchronous operations ongoing on the VMware Cloud Director migration service
Unique identifier of the VMware Cloud Director migration service
Reflects the readiness of the VMware Cloud Director migration service. A new target specification request will be accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGConfiguration you requested. While a change is still being applied it differs from currentState.
Datetime when migration service is modified
Example uses migrationId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ vmwareCloudDirector/ migration/ {migrationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "azName": "ca-east-bhs-a", "ips": [ "192.0.2.0/24" ], "migrationCloudUrl": "string", "organizationId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "ips": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}